Public Member Functions | List of all members
Xapian::ESetIterator Class Reference

Iterator over a Xapian::ESet. More...

## Public Member Functions
| ESetIterator ()
| Create an unpositioned ESetIterator. More...
std::string | operator* () const
| Get the term at the current position. More...
ESetIterator & | operator++ ()
| Advance the iterator to the next position.
ESetIterator | operator++ (int)
| Advance the iterator to the next position (postfix version).
ESetIterator & | operator-- ()
| Move the iterator to the previous position.
ESetIterator | operator-- (int)
| Move the iterator to the previous position (postfix version).
ESetIterator & | operator+= (difference_type n)
| Move the iterator forwards by n positions.
ESetIterator & | operator-= (difference_type n)
| Move the iterator back by n positions.
ESetIterator | operator+ (difference_type n) const
| Return the iterator incremented by n positions. More...
ESetIterator | operator- (difference_type n) const
| Return the iterator decremented by n positions. More...
difference_type | operator- (const ESetIterator &o) const
| Return the number of positions between o and this iterator. More...
double | get_weight () const
| Get the weight for the current position. More...
std::string | get_description () const
| Return a string describing this object.

## Detailed Description

Iterator over a Xapian::ESet.

## Constructor & Destructor Documentation

## ◆ ESetIterator()

Xapian::ESetIterator::ESetIterator | ( |  | ) |
| inline

Create an unpositioned ESetIterator.

References Xapian::operator*().

## Member Function Documentation

## ◆ get_weight()

double Xapian::ESetIterator::get_weight | ( |  | ) | const

Get the weight for the current position.

## ◆ operator*()

std::string Xapian::ESetIterator::operator* | ( |  | ) | const

Get the term at the current position.

## ◆ operator+()

ESetIterator Xapian::ESetIterator::operator+ | ( | difference_type | n | ) | const
| inline

Return the iterator incremented by n positions.

If n is negative, decrements by (-n) positions.

## ◆ operator-() [1/2]

ESetIterator Xapian::ESetIterator::operator- | ( | difference_type | n | ) | const
| inline

Return the iterator decremented by n positions.

If n is negative, increments by (-n) positions.

## ◆ operator-() [2/2]

difference_type Xapian::ESetIterator::operator- | ( | const ESetIterator & | o | ) | const
| inline

Return the number of positions between o and this iterator.

The documentation for this class was generated from the following file:

- xapian/eset.h